## javax.servlet
Interface ServletContextAttributeListener

All Superinterfaces:
  java.util.EventListener

    public interface ServletContextAttributeListener

extends java.util.EventListener

Interface for receiving notification events about ServletContext attribute changes.

In order to receive these notification events, the implementation class must be either declared in the deployment descriptor of the web application, annotated with `WebListener`, or registered via one of the addListener methods defined on `ServletContext`.

The order in which implementations of this interface are invoked is unspecified.

Since:
  Servlet 2.3
See Also:
  `ServletContextAttributeEvent`

Method Summary
`void` `attributeAdded(ServletContextAttributeEvent event)` Receives notification that an attribute has been added to the ServletContext.
`void` `attributeRemoved(ServletContextAttributeEvent event)` Receives notification that an attribute has been removed from the ServletContext.
`void` `attributeReplaced(ServletContextAttributeEvent event)`

Method Detail

### attributeAdded

    void attributeAdded(ServletContextAttributeEvent event)

  Receives notification that an attribute has been added to the ServletContext.

  Parameters:
    `event` - the ServletContextAttributeEvent containing the ServletContext to which the attribute was added, along with the attribute name and value

### attributeRemoved

    void attributeRemoved(ServletContextAttributeEvent event)

  Receives notification that an attribute has been removed from the ServletContext.

  Parameters:
    `event` - the ServletContextAttributeEvent containing the ServletContext from which the attribute was removed, along with the attribute name and value

### attributeReplaced

    void attributeReplaced(ServletContextAttributeEvent event)

Copyright © 2012 GlassFish Community. All Rights Reserved.